
{{ $currentdirectory :=  (printf "%s%s" $.Site.Params.contentpath .File.Dir) }}
{{ $currentdirectoryfilelist := readDir $currentdirectory }}
{{ $.Scratch.Set "imagepath" "" }}
{{- $.Scratch.Set "pathimage" ("/assets/logo/image.png") -}}
{{- range $currentdirectoryfilelist -}}

{{- range $currentdirectoryfilelist -}}
{{- if in .Name (printf "%s" $.File.ContentBaseName) -}}
{{- if or (in .Name ".jpg") (in .Name ".png") (in .Name ".jpeg") -}}
{{ $.Scratch.Set "imagepath" .Name }}
{{- end -}}
{{- end -}}
{{- end -}}


{{- if in .Name (printf "%s" $.File.ContentBaseName) -}}
{{- if not (in .Name ".png") -}}
{{- if not (in .Name ".md") -}}

{{- if in .Name ".mp3" -}}
{{ $.Scratch.Set "imagepath" .Name }}
<script>
  document.getElementById("image").style.visibility = "hidden";
  document.getElementById("image").style.height = "0px"; 
</script>
<audio controls>
  <source src="{{ $.Site.Params.contentpath }}{{ $.File.Dir }}{{ .Name }}" type="audio/mpeg">
    <p>{{ i18n "message-audio-compatibility" }}</p>
</audio>
<a href="{{ $.Site.Params.contentpath }}{{ $.File.Dir }}{{ .Name }}" download="{{ .Name }}" class="button-download" data-i18n="download-this-media" title='{{ i18n "download-this-media" }} {{ .Name }}'>{{ i18n "download-this-media" }}</a>
{{- end -}}

{{ if in .Name ".pdf" }}
<script>
  document.getElementById("image").getElementsByClassName("image-button")[0].remove()
</script>
  <!-- <embed  src="{{ $.Site.Params.contentpath }}{{ $.File.Dir }}{{ .Name }}" type="application/pdf" width="100%" height="1000vh"> -->
  <a href="{{ $.Site.Params.contentpath }}{{ $.File.Dir }}{{ .Name }}" download="{{ .Name }}" class="button-download" data-i18n="download-this-media" title='{{ i18n "download-this-media" }} {{ .Name }}'>{{ i18n "download-this-media" }}</a>
{{- end -}}

{{ if in .Name ".epub" }}
  <img src="{{ $.Scratch.Get "pathimage" }}" alt="jpg">
  <!-- <embed  src="{{ $.Site.Params.contentpath }}{{ $.File.Dir }}{{ .Name }}" type="application/pdf" width="100%" height="1000vh"> -->
  <a href="{{ $.Site.Params.contentpath }}{{ $.File.Dir }}{{ .Name }}" download="{{ .Name }}" class="button-download" data-i18n="download-this-media" title='{{ i18n "download-this-media" }} {{ .Name }}'>{{ i18n "download-this-media" }}</a>
{{- end -}}

{{ if in .Name ".mp4" }}
<script>
  document.getElementById("image").style.visibility = "hidden";
  document.getElementById("image").style.height = "0px";
</script>
  <video controls poster='{{ $.Site.Params.contentpath }}{{ $.File.Dir }}{{ $.Scratch.Get "imagepath"  }}'>
    <source src="{{ $.Site.Params.contentpath }}{{ $.File.Dir }}{{ .Name }}" type="video/mp4" data-i18n="message-video-compatibility">
    {{ i18n "message-video-compatibility" }}
  </video>
  <a href="{{ $.Site.Params.contentpath }}{{ $.File.Dir }}{{ .Name }}" download="{{ .Name }}" class="button-download" data-i18n="download-this-media" title='{{ i18n "download-this-media" }} {{ .Name }}'>{{ i18n "download-this-media" }}</a>
{{- end -}}

{{ if or (in .Name ".jpg") (in .Name ".png") (in .Name ".jpeg") }}
<div id="image">
  <img src='{{ $.Site.Params.contentpath }}{{ $.File.Dir }}{{ .Name }}' alt="jpg">
    <div class="image-button"><a href="{{ $.Site.Params.contentpath }}{{ $.File.Dir }}{{ .Name }}" download="{{ .Name }}" class="button-download" data-i18n="download-this-media" title='{{ i18n "download-this-media" }} {{ .Name }}'>{{ i18n "download-this-media" }}</a></div>
</div>
{{- end -}}

{{- end -}}
{{- end -}}
{{- end -}}
{{- end -}}
